Bug 168097 - Review Request: digiKam - A digital camera accessing & photo management application
Review Request: digiKam - A digital camera accessing & photo management appli...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://manta.univ.gda.pl/~mgarski/FE/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 09:17 EDT by Marcin Garski
Modified: 2007-12-10 15:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-17 11:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2005-09-12 09:17:17 EDT
Spec Name or Url: http://manta.univ.gda.pl/~mgarski/FE/digikam.spec
SRPM Name or Url: http://manta.univ.gda.pl/~mgarski/FE/digikam-0.7.4-1.src.rpm
Description:
digiKam is an easy to use and powerful digital photo management application,
which makes importing, organizing and manipulating digital photos a "snap".
The photos can be organized in albums which are automatically sorted
chronologically. An easy to use interface is provided to connect to your
digital camera, preview the images and download and/or delete them.

digiKam buildin image editor makes the common photo correction a simple task.
The image editor is extensible via plugins.
Comment 1 Aurelien Bompard 2005-09-13 02:13:44 EDT
* In the URL tag, change prdownloads.sourceforge.net to dl.sf.net to allow
direct download
* Duplicate BuildRequires: qt-devel, kdelibs-devel, arts-devel, libtiff-devel,
pkgconfig, autoconf
* "make -f Makefile.cvs" is useless
* Add --disable-debug to %configure
* Install desktop file with desktop-file-install. Here's what you could use:
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Photograph \
  --add-category Graphics \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop
and for showfoto
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Photograph \
  --add-category Graphics \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/showfoto.desktop
* The desktop file contains Mime types, so you have to add the required bits in
the scriptlets (see http://fedoraproject.org/wiki/ScriptletSnippets, section
about "desktop-database")
* The package add files in /usr/share/icons, so you also have to update gtk's
cache in the scriptlets (see http://fedoraproject.org/wiki/ScriptletSnippets,
section about "GTK+ icon cache")
Comment 2 Marcin Garski 2005-09-13 08:01:08 EDT
New package on the server (with the same release version), all bugs should be fixed.
Comment 3 Aurelien Bompard 2005-09-13 12:06:51 EDT
> New package on the server (with the same release version)

Please update the release, it makes it easier for the reviewer to say "release X
approved"

* Duplicate BuildRequires: kdelibs-devel (already required by libkexif-devel)
* Requirements: missing dependancy on gtk-update-icon-cache (package gtk2)
* since you removed make -f Makefile.cvs, you don't need automake as a BR anymore
Comment 4 Aurelien Bompard 2005-09-13 12:18:19 EDT
Rex, you might be interested in this package too... (feel free to un'CC yourself
if you don't)
Comment 5 Rex Dieter 2005-09-13 12:19:53 EDT
Thanks, I thought I had already CC'd myself, so thanks for doing it for me.  (-:
Comment 6 Marcin Garski 2005-09-13 17:20:40 EDT
Release 2 on server with one exception:

* Requirements: missing dependancy on gtk-update-icon-cache (package gtk2)

On http://fedoraproject.org/wiki/ScriptletSnippets you can read:
"GTK+ icon cache"
"Note that _no_ dependencies should be added for this. If gtk-update-icon-cache
is not available, there's nothing that would be needing the cache update. Not
adding the dependency on gtk-update-icon-cache (ie. gtk2 >= 2.6.0) makes it
easier to use the package (or the same specfile) on systems where it's not
available nor needed, such as older distro versions or (very) trimmed down
installations."

So I didn't add requirements you mentioned.
Comment 7 Aurelien Bompard 2005-09-13 17:50:23 EDT
Good point, sorry about that. Will review shortly.
Comment 8 Aurelien Bompard 2005-09-14 04:27:23 EDT
Review for release 2: APPROVED
* RPM name is OK
* Source digikam-0.7.4.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of digikam looks OK
* rpmlint of digikam-devel looks OK
* File list of digikam looks OK
* File list of digikam-devel looks OK
* Seems to work fine

Unless Rex has something to improve, you're fine with me.

After import, please add something in %description concerning the package
kipi-plugins, like : "The image editor is extensible via plugins, install the
kipi-plugins package to use them" (adapt at will)
Comment 9 Marcin Garski 2005-09-17 09:56:28 EDT
As I see there isn't kipi-plugins package in FC or FE. Should I add description
about something that currently don't exist in FE?
Comment 10 Aurelien Bompard 2005-09-17 10:12:37 EDT
Hmm, right, my kipi-plugins rpm came from kde-redhat.
You can forget about the description for the moment, and if you feel like
packaging kipi-plugins, feel free to do so... :)
Comment 11 Marcin Garski 2005-09-17 11:34:53 EDT
Maybe, maybe I'll package it :)
Comment 12 Rex Dieter 2007-12-10 15:12:49 EST
Package Change Request
======================
Package Name: digikam
New Branches: EL-5
Comment 13 Kevin Fenzi 2007-12-10 15:17:26 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.